/*
 * $Id$
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log$
 * Revision 1.22  2009/01/05 08:40:20  korowa
 * Der MailServer ist auf mail.uni-paderborn.de umgezogen
 *
 * Revision 1.21  2007/10/23 11:00:03  marbobo
 * *** empty log message ***
 *
 * Revision 1.20  2007/08/09 14:38:54  marbobo
 * - 2 falsch zugeordnete LDAP- Parameter entfernt
 * + Löschen und Aktivieren von Lizenzen hinzugefügt
 *
 * Revision 1.19  2007/08/01 14:56:53  marbobo
 * + WebDav-Logging implementiert
 * - Sessionbegrenzung wird nicht mehr auf WebDav angewendet
 *
 * Revision 1.18  2007/07/20 14:18:07  marbobo
 * + Max. Anzahl von Benutzern die im System gleichzeitig angemeldet sein dürfen ist jetzt konfiguriebar
 *
 * Revision 1.17  2007/02/12 13:13:11  marbobo
 * + Neue Paramter hinzugefügt
 *
 * Revision 1.16  2006/11/06 12:40:09  korowa
 * bugfixing
 *
 * Revision 1.15  2006/07/20 21:56:07  marbobo
 * + Systemparameter (INDEX) hinzugefügt
 *
 * Revision 1.14  2006/04/04 17:03:08  marbobo
 * + Neue Systemparameter hinzugefügt (Konvertierungsformate)
 *
 * Revision 1.13  2005/12/22 15:43:49  marbobo
 * + SSL-Unterstützung und Port-Auswahl für Mailsystem implementiert
 *
 * Revision 1.12  2005/12/15 15:28:54  marbobo
 * + Benutzername und Passwort für Mailserver implementiert
 *
 * Revision 1.11  2005/11/24 19:34:37  marbobo
 * + Neue SystemParameter hinzugefügt
 *
 * Revision 1.10  2005/11/24 15:12:46  marbobo
 * + Neue SystemParameter
 *
 * Revision 1.9  2005/11/24 01:26:29  marbobo
 * + Neue SystemParameter hinzugefügt
 *
 * Revision 1.8  2005/10/18 16:28:00  marbobo
 * + Bugfix
 *
 * Revision 1.7  2005/09/16 09:23:55  jonyp
 * added id/log tags
 *
 */

package vkc.license;

import java.util.HashMap;

import vkc.db.entities.VKCSysParameter;

public class SystemParameters {
	private static HashMap systemParameters = new HashMap();
	
	static {
        VKCSysParameter p = new VKCSysParameter();
        
        p.setContext("WORKFLOW");
        p.setContextKey("sysparam.context.workflow");
        p.setName("Enable");
        p.setNameKey("sysparam.context.workflow.enable");
        p.setValuestring("1");
        p.setDescription("Activate the workflow-module or not");
        p.setDescrKey("sysparam.context.workflow.enable.descr");
        p.setSortRank(new Integer(50));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("WORKFLOW");
        p.setContextKey("sysparam.context.workflow");
        p.setName("SendMail");
        p.setNameKey("sysparam.context.workflow.sendMailOnAssignments");
        p.setValuestring("1");
        p.setDescription("Send mails on assignment of workitems or not");
        p.setDescrKey("sysparam.context.workflow.sendMailOnAssignments.descr");
        p.setSortRank(new Integer(100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("WORKFLOW");
        p.setContextKey("sysparam.context.workflow");
        p.setName("ShowDatatype");
        p.setNameKey("sysparam.context.workflow.showdatatype");
        p.setValuestring("1");
        p.setDescription("Show datatypes of workitems or not");
        p.setDescrKey("sysparam.context.workflow.showdatatype.descr");
        p.setSortRank(new Integer(150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);
        
		p = new VKCSysParameter();
		
		p.setContext("SYSTEMINFO");
		p.setContextKey("sysparam.context.systeminfo");
		p.setName("DBName");
		p.setNameKey("sysparam.context.systeminfo.dbname");
		p.setValuestring("VKC.GDB");
		p.setDescription("Name of the VKC database");
		p.setDescrKey("sysparam.context.systeminfo.dbname.descr");
        p.setSortRank(new Integer(1050));
		p.setAllowNull(false);
		p.setReadOnly(true);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMINFO");
		p.setContextKey("sysparam.context.systeminfo");
		p.setName("DBMS");
		p.setNameKey("sysparam.context.systeminfo.dbms");
		p.setValuestring("Interbase");
		p.setDescription("VKC database management system");
		p.setDescrKey("sysparam.context.systeminfo.dbms.descr");
        p.setSortRank(new Integer(1100));
		p.setAllowNull(false);
		p.setReadOnly(true);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMINFO");
		p.setContextKey("sysparam.context.systeminfo");
		p.setName("DBCopyright");
		p.setNameKey("sysparam.context.systeminfo.dbcopyright");
		p.setValuestring("C-LAB");
		p.setDescription("Owner of the db schema");
		p.setDescrKey("sysparam.context.systeminfo.dbcopyright.descr");
        p.setSortRank(new Integer(1150));
		p.setAllowNull(false);
		p.setReadOnly(true);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMINFO");
		p.setContextKey("sysparam.context.systeminfo");
		p.setName("DBVersionHigh");
		p.setNameKey("sysparam.context.systeminfo.dbversionhigh");
		p.setValuestring("1");
		p.setDescription("Database Version High Number");
		p.setDescrKey("sysparam.context.systeminfo.dbversionhigh.descr");
        p.setSortRank(new Integer(1200));
		p.setAllowNull(false);
		p.setReadOnly(true);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(1));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMINFO");
		p.setContextKey("sysparam.context.systeminfo");
		p.setName("DBVersionLow");
		p.setNameKey("sysparam.context.systeminfo.dbversionlow");
		p.setValuestring("156");
		p.setDescription("Database Version Low Number");
		p.setDescrKey("sysparam.context.systeminfo.dbversionlow.descr");
        p.setSortRank(new Integer(1250));
		p.setAllowNull(false);
		p.setReadOnly(true);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(1));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMINFO");
		p.setContextKey("sysparam.context.systeminfo");
		p.setName("DBCreationDate");
		p.setNameKey("sysparam.context.systeminfo.dbcreationdate");
		p.setValuestring("2005-08-18");
		p.setDescription("Database Creation Date");
		p.setDescrKey("sysparam.context.systeminfo.dbcreationdate.descr");
        p.setSortRank(new Integer(1300));
		p.setAllowNull(false);
		p.setReadOnly(true);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("ARCHIVE");
        p.setContextKey("sysparam.context.archive");
        p.setName("StartBackupHour");
        p.setNameKey("sysparam.context.archive.startbackuphour");
        p.setValuestring("0");
        p.setDescription("Scheduling hour for backup (start)");
        p.setDescrKey("sysparam.context.archive.startbackuphour.descr");
        p.setSortRank(new Integer(2050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("ARCHIVE");
        p.setContextKey("sysparam.context.archive");
        p.setName("EndBackupHour");
        p.setNameKey("sysparam.context.archive.endbackuphour");
        p.setValuestring("3");
        p.setDescription("Scheduling hour for backup (end)");
        p.setDescrKey("sysparam.context.archive.endbackuphour.descr");
        p.setSortRank(new Integer(2100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("ARCHIVE");
        p.setContextKey("sysparam.context.archive");
        p.setName("CleaningPeriod");
        p.setNameKey("sysparam.context.archive.cleaningperiod");
        p.setValuestring("7");
        p.setDescription("Cleaning period of the data archive in days");
        p.setDescrKey("sysparam.context.archive.cleaningperiod.descr");
        p.setSortRank(new Integer(2150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("ARCHIVE");
        p.setContextKey("sysparam.context.archive");
        p.setName("MinimumAge");
        p.setNameKey("sysparam.context.archive.minimumage");
        p.setValuestring("30");
        p.setDescription("Minimum Age of files can be deleted in minutes");
        p.setDescrKey("sysparam.context.archive.minimumage.descr");
        p.setSortRank(new Integer(2200));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("DOCUMENT");
        p.setContextKey("sysparam.context.document");
        p.setName("EnableMultiIcon");
        p.setNameKey("sysparam.context.document.enablemultiicon");
        p.setValuestring("1");
        p.setDescription("Enable different icons for different documenttypes ");
        p.setDescrKey("sysparam.context.document.enablemultiicon.descr");
        p.setSortRank(new Integer(3050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("DOCUMENT");
        p.setContextKey("sysparam.context.document");
        p.setName("EnableDocumentStatusCoverage");
        p.setNameKey("sysparam.context.document.enabledocumentstatuscoverage");
        p.setValuestring("0");
        p.setDescription("Enable input of document status");
        p.setDescrKey("sysparam.context.document.enabledocumentstatuscoverage.descr");
        p.setSortRank(new Integer(3100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("DOCUMENT");
        p.setContextKey("sysparam.context.document");
        p.setName("EnableDocumentClassCoverage");
        p.setNameKey("sysparam.context.document.enabledocumentclasscoverage");
        p.setValuestring("0");
        p.setDescription("Enable input of document class");
        p.setDescrKey("sysparam.context.document.enabledocumentclasscoverage.descr");
        p.setSortRank(new Integer(3150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("DOCUMENT");
        p.setContextKey("sysparam.context.document");
        p.setName("EnableDocumentCreationDateCoverage");
        p.setNameKey("sysparam.context.document.enabledocumentcreationdatecoverage");
        p.setValuestring("0");
        p.setDescription("Enable input of document creation date");
        p.setDescrKey("sysparam.context.document.enabledocumentcreationdatecoverage.descr");
        p.setSortRank(new Integer(3200));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("DOCUMENT");
        p.setContextKey("sysparam.context.document");
        p.setName("EnableDocumentVersionManagement");
        p.setNameKey("sysparam.context.document.enabledocumentversionmanagement");
        p.setValuestring("0");
        p.setDescription("Enable input of document creation date");
        p.setDescrKey("sysparam.context.document.enabledocumentversionmanagement.descr");
        p.setSortRank(new Integer(3250));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("DOCUMENT");
        p.setContextKey("sysparam.context.document");
        p.setName("EnableDocumentTitle");
        p.setNameKey("sysparam.context.document.enabledocumenttitle");
        p.setValuestring("1");
        p.setDescription("Enable automatically title of document");
        p.setDescrKey("sysparam.context.document.enabledocumenttitle.descr");
        p.setSortRank(new Integer(3300));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("DOCUMENT");
        p.setContextKey("sysparam.context.document");
        p.setName("EnableDocumentKeyword");
        p.setNameKey("sysparam.context.document.enabledocumentkeyword");
        p.setValuestring("1");
        p.setDescription("Enable automatically generate keyword of document");
        p.setDescrKey("sysparam.context.document.enabledocumentkeyword.descr");
        p.setSortRank(new Integer(3350));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("DOCUMENT");
        p.setContextKey("sysparam.context.document");
        p.setName("EnableDocumentDescription");
        p.setNameKey("sysparam.context.document.enabledocumentdescription");
        p.setValuestring("1");
        p.setDescription("Enable automatically description of document");
        p.setDescrKey("sysparam.context.document.enabledocumentdescription.descr");
        p.setSortRank(new Integer(3400));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("CATEGORYVIEW");
        p.setContextKey("sysparam.context.categoryview");
        p.setName("EnableClusterCategory");
        p.setNameKey("sysparam.context.categoryview.enableclustercategory");
        p.setValuestring("0");
        p.setDescription("Enable clustering of all category documents");
        p.setDescrKey("sysparam.context.categoryview.enableclustercategory.descr");
        p.setSortRank(new Integer(4050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("CATEGORYVIEW");
		p.setContextKey("sysparam.context.categoryview");
		p.setName("EnableCountCatDocs");
		p.setNameKey("sysparam.context.categoryview.enablecountcatdocs");
		p.setValuestring("0");
		p.setDescription("Enable computation of count of subcats. and docs.");
		p.setDescrKey("sysparam.context.categoryview.enablecountcatdocs.descr");
        p.setSortRank(new Integer(4100));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(2));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("CATEGORYVIEW");
        p.setContextKey("sysparam.context.categoryview");
        p.setName("ListAccessibleCategoriesOnly");
        p.setNameKey("sysparam.context.categoryview.listaccessiblecategoriesonly");
        p.setValuestring("1");
        p.setDescription("List only accessible categories");
        p.setDescrKey("sysparam.context.categoryview.listaccessiblecategoriesonly.descr");
        p.setSortRank(new Integer(4150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("CATEGORYVIEW");
        p.setContextKey("sysparam.context.categoryview");
        p.setName("MarkForbiddenCategories");
        p.setNameKey("sysparam.context.categoryview.markforbiddencategories");
        p.setValuestring("1");
        p.setDescription("Mark forbidden categories with special icon");
        p.setDescrKey("sysparam.context.categoryview.markforbiddencategories.descr");
        p.setSortRank(new Integer(4200));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("CATEGORYVIEW");
        p.setContextKey("sysparam.context.categoryview");
        p.setName("DisplayEmptyFoldersWithEmptyIcon");
        p.setNameKey("sysparam.context.categoryview.emptyfolder");
        p.setValuestring("0");
        p.setDescription("Display special icon if folder is empty");
        p.setDescrKey("sysparam.context.categoryview.emptyfolder.descr");
        p.setSortRank(new Integer(4250));
        p.setAllowNull(true);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("CATEGORYVIEW");
		p.setContextKey("sysparam.context.categoryview");
		p.setName("ShowDisplayAscii");
		p.setNameKey("sysparam.context.categoryview.showdisplayascii");
		p.setValuestring("1");
		p.setDescription("Show link to display document in ascii format");
		p.setDescrKey("sysparam.context.categoryview.showdisplayascii.descr");
        p.setSortRank(new Integer(4300));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(2));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("PROJECTMANAGEMENT");
        p.setContextKey("sysparam.context.projectmanagement");
        p.setName("EnableProjectManagement");
        p.setNameKey("sysparam.context.projectmanagement.enableprojectmanagement");
        p.setValuestring("0");
        p.setDescription("Enable project management");
        p.setDescrKey("sysparam.context.projectmanagement.enableprojectmanagement.descr");
        p.setSortRank(new Integer(5050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("PROJECTMANAGEMENT");
        p.setContextKey("sysparam.context.projectmanagement");
        p.setName("ProjectRootCategoryId");
        p.setNameKey("sysparam.context.projectmanagement.projectrootcategoryid");
        p.setValuestring("0");
        p.setDescription("ID of the root category for projectmanagement");
        p.setDescrKey("sysparam.context.projectmanagement.projectrootcategoryid.descr");
        p.setSortRank(new Integer(5100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("PROJECTMANAGEMENT");
        p.setContextKey("sysparam.context.projectmanagement");
        p.setName("TemplatesRootCategoryId");
        p.setNameKey("sysparam.context.projectmanagement.templatesrootcategoryid");
        p.setValuestring("0");
        p.setDescription("ID of the template category");
        p.setDescrKey("sysparam.context.projectmanagement.templatesrootcategoryid.descr");
        p.setSortRank(new Integer(5150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("FUNCTIONALVIEW");
        p.setContextKey("sysparam.context.functionalview");
        p.setName("FunctionalViewRootCategoryId");
        p.setNameKey("sysparam.context.functionalview.functionalviewrootcategoryid");
        p.setValuestring("0");
        p.setDescription("ID of the root category for functional views");
        p.setDescrKey("sysparam.context.functionalview.functionalviewrootcategoryid.descr");
        p.setSortRank(new Integer(6050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("EnableMail");
        p.setNameKey("sysparam.context.mail.enablemail");
        p.setValuestring("1");
        p.setDescription("Enable Mail");
        p.setDescrKey("sysparam.context.mail.enablemail.descr");
        p.setSortRank(new Integer(7050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("NotificationCheckPeriod");
        p.setNameKey("sysparam.context.mail.notificationcheckperiod");
        p.setValuestring("10");
        p.setDescription("Period of minutes to check for notifications");
        p.setDescrKey("sysparam.context.mail.notificationcheckperiod.descr");
        p.setSortRank(new Integer(7100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("DeleteDocumentPeriod");
        p.setNameKey("sysparam.context.mail.deletedocumentperiod");
        p.setValuestring("28");
        p.setDescription("Period of days when document should be deleted");
        p.setDescrKey("sysparam.context.mail.deletedocumentperiod.descr");
        p.setSortRank(new Integer(7150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("CheckExpirationTime");
        p.setNameKey("sysparam.context.mail.checkexpirationtime");
        p.setValuestring("00:00:00");
        p.setDescription("Time, when the expiration thread should be called");
        p.setDescrKey("sysparam.context.mail.checkexpirationtime.descr");
        p.setSortRank(new Integer(7200));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("MAIL");
		p.setContextKey("sysparam.context.mail");
		p.setName("RootURL");
		p.setNameKey("sysparam.context.mail.rooturl");
		p.setValuestring("http://localhost:8080");
		p.setDescription("URL of ");
		p.setDescrKey("sysparam.context.mail.rooturl.descr");
        p.setSortRank(new Integer(7250));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("AdminEmail");
        p.setNameKey("sysparam.context.mail.adminemail");
        p.setValuestring("vkc@c-lab.de");
        p.setDescription("EMail adress of the administrator");
        p.setDescrKey("sysparam.context.mail.adminemail.descr");
        p.setSortRank(new Integer(7300));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("MailServer");
        p.setNameKey("sysparam.context.mail.mailserver");
        p.setValuestring("mail.uni-paderborn.de");
        p.setDescription("Mailservers adress");
        p.setDescrKey("sysparam.context.mail.mailserver.descr");
        p.setSortRank(new Integer(7350));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("MailUsername");
        p.setNameKey("sysparam.context.mail.mailusername");
        p.setValuestring("");
        p.setDescription("Mailservers username");
        p.setDescrKey("sysparam.context.mail.mailusername.descr");
        p.setSortRank(new Integer(7400));
        p.setAllowNull(true);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("MailPassword");
        p.setNameKey("sysparam.context.mail.mailpassword");
        p.setValuestring("");
        p.setDescription("Mailservers password");
        p.setDescrKey("sysparam.context.mail.mailpassword.descr");
        p.setSortRank(new Integer(7450));
        p.setAllowNull(true);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("MailPort");
        p.setNameKey("sysparam.context.mail.mailport");
        p.setValuestring("25");
        p.setDescription("Mailservers port: (Default: 25)");
        p.setDescrKey("sysparam.context.mail.mailport.descr");
        p.setSortRank(new Integer(7500));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("MailSsl");
        p.setNameKey("sysparam.context.mail.mailssl");
        p.setValuestring("0");
        p.setDescription("Use SSL connection with the mailserver");
        p.setDescrKey("sysparam.context.mail.mailssl.descr");
        p.setSortRank(new Integer(7550));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("MAIL");
        p.setContextKey("sysparam.context.mail");
        p.setName("MailUntrustedCertificate");
        p.setNameKey("sysparam.context.mail.mailuntrustedcertificate");
        p.setValuestring("0");
        p.setDescription("Allow untrusted certificates for SSL connection with the mailserver");
        p.setDescrKey("sysparam.context.mail.mailuntrustedcertificate.descr");
        p.setSortRank(new Integer(7600));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("EnableLogging");
        p.setNameKey("sysparam.context.logging.enablelogging");
        p.setValuestring("1");
        p.setDescription("");
        p.setDescrKey("sysparam.context.logging.enablelogging.descr");
        p.setSortRank(new Integer(8050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("MaxLogFileCount");
        p.setNameKey("sysparam.context.logging.maxlogfilecount");
        p.setValuestring("1");
        p.setDescription("");
        p.setDescrKey("sysparam.context.logging.maxlogfilecount.descr");
        p.setSortRank(new Integer(8100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("MaxLogFileSize");
        p.setNameKey("sysparam.context.logging.maxlogfilesize");
        p.setValuestring("1000000");
        p.setDescription("");
        p.setDescrKey("sysparam.context.logging.maxlogfilesize.descr");
        p.setSortRank(new Integer(8150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("LoggingLevel");
        p.setNameKey("sysparam.context.logging.logginglevel");
        p.setValuestring("1");
        p.setDescription("");
        p.setDescrKey("sysparam.context.logging.logginglevel.descr");
        p.setSortRank(new Integer(8200));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("LOGGING");
		p.setContextKey("sysparam.context.logging");
		p.setName("InfoLogFile");
		p.setNameKey("sysparam.context.logging.infologfile");
		p.setValuestring("c:/temp/vkc_info.log");
		p.setDescription("File for logging infos of VKC");
		p.setDescrKey("sysparam.context.logging.infologfile.descr");
        p.setSortRank(new Integer(8250));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("LOGGING");
		p.setContextKey("sysparam.context.logging");
		p.setName("ErrorLogFile");
		p.setNameKey("sysparam.context.logging.errorlogfile");
		p.setValuestring("c:/temp/vkc_error.log");
		p.setDescription("File for logging errors of VKC");
		p.setDescrKey("sysparam.context.logging.errorlogfile.descr");
        p.setSortRank(new Integer(8300));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("TraceLogFile");
        p.setNameKey("sysparam.context.logging.tracelogfile");
        p.setValuestring("/WEB-INF/log/vkc_trace.log");
        p.setDescription("File for tracing logs of VKC");
        p.setDescrKey("sysparam.context.logging.tracelogfile.descr");
        p.setSortRank(new Integer(8350));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("MigrationLogFile");
        p.setNameKey("sysparam.context.logging.migrationlogfile");
        p.setValuestring("/WEB-INF/log/vkc_migration.log");
        p.setDescription("File for logging migration infos of VKC");
        p.setDescrKey("sysparam.context.logging.migrationlogfile.descr");
        p.setSortRank(new Integer(8350));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("enableAccessLog");
        p.setNameKey("sysparam.context.logging.enableAccessLog");
        p.setValuestring("1");
        p.setDescription("Enable access log");
        p.setDescrKey("sysparam.context.logging.enableAccessLog.descr");
        p.setSortRank(new Integer(8400));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("anonymizeAccessLog");
        p.setNameKey("sysparam.context.logging.anonymizeAccessLog");
        p.setValuestring("0");
        p.setDescription("Anonymize access log");
        p.setDescrKey("sysparam.context.logging.anonymizeAccessLog.descr");
        p.setSortRank(new Integer(8450));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("AccessLogFile");
        p.setNameKey("sysparam.context.logging.accesslogfile");
        p.setValuestring("c:/temp/vkc_access.log");
        p.setDescription("File for logging access of VKC");
        p.setDescrKey("sysparam.context.logging.accesslogfile.descr");
        p.setSortRank(new Integer(8500));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("EnableWebdavAccessLog");
        p.setNameKey("sysparam.context.logging.enablewebdavaccesslog");
        p.setValuestring("1");
        p.setDescription("Enable webdav access log");
        p.setDescrKey("sysparam.context.logging.enablewebdavaccesslog.descr");
        p.setSortRank(new Integer(8550));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("MaxWebdavLogFileSize");
        p.setNameKey("sysparam.context.logging.maxwebdavlogfilesize");
        p.setValuestring("1000000");
        p.setDescription("Maximum size of WebDav log files");
        p.setDescrKey("sysparam.context.logging.maxwebdavlogfilesize.descr");
        p.setSortRank(new Integer(8600));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGGING");
        p.setContextKey("sysparam.context.logging");
        p.setName("WebdavAccessLogFile");
        p.setNameKey("sysparam.context.logging.webdavaccesslogfile");
        p.setValuestring("c:/temp/vkc_webdav_access.log");
        p.setDescription("File for logging webdav access of VKC");
        p.setDescrKey("sysparam.context.logging.webdavaccesslogfile.descr");
        p.setSortRank(new Integer(8650));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMPATHS");
		p.setContextKey("sysparam.context.systempaths");
		p.setName("DatastoreDir");
		p.setNameKey("sysparam.context.systempaths.datastoredir");
		p.setValuestring("WEB-INF/datastorage");
		p.setDescription("");
		p.setDescrKey("sysparam.context.systempaths.datastoredir.descr");
        p.setSortRank(new Integer(9050));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMPATHS");
		p.setContextKey("sysparam.context.systempaths");
		p.setName("SearchIndexDir");
		p.setNameKey("sysparam.context.systempaths.searchindexdir");
		p.setValuestring("WEB-INF/searchindex");
		p.setDescription("");
		p.setDescrKey("sysparam.context.systempaths.searchindexdir.descr");
        p.setSortRank(new Integer(9100));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMPATHS");
		p.setContextKey("sysparam.context.systempaths");
		p.setName("ClassifyIndexDir");
		p.setNameKey("sysparam.context.systempaths.classifyindexdir");
		p.setValuestring("WEB-INF/classifyindex");
		p.setDescription("");
		p.setDescrKey("sysparam.context.systempaths.classifyindexdir.descr");
        p.setSortRank(new Integer(9150));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMPATHS");
		p.setContextKey("sysparam.context.systempaths");
		p.setName("ConverterDir");
		p.setNameKey("sysparam.context.systempaths.converterdir");
		p.setValuestring("WEB-INF/bin/win32");
		p.setDescription("");
		p.setDescrKey("sysparam.context.systempaths.converterdir.descr");
        p.setSortRank(new Integer(9200));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("SYSTEMPATHS");
		p.setContextKey("sysparam.context.systempaths");
		p.setName("LanguageDir");
		p.setNameKey("sysparam.context.systempaths.languagedir");
		p.setValuestring("lang");
		p.setDescription("");
		p.setDescrKey("sysparam.context.systempaths.languagedir.descr");
        p.setSortRank(new Integer(9250));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(0));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGIN");
        p.setContextKey("sysparam.context.login");
        p.setName("MaxAllowedUsers");
        p.setNameKey("sysparam.context.login.maxallowedusers");
        p.setValuestring("0");
        p.setDescription("The maximum number of users allowed in VKC at the same time");
        p.setDescrKey("sysparam.context.login.maxallowedusers.descr");
        p.setSortRank(new Integer(10050));
        p.setAllowNull(false);
        p.setReadOnly(true);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGIN");
        p.setContextKey("sysparam.context.login");
        p.setName("DefaultLoginPage");
        p.setNameKey("sysparam.context.login.defaultLoginPage");
        p.setValuestring("/common/Login.jsp");
        p.setDescription("Default JSP page for login into VKC");
        p.setDescrKey("sysparam.context.login.defaultLoginPage.descr");
        p.setSortRank(new Integer(10100));
        p.setAllowNull(true);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGIN");
        p.setContextKey("sysparam.context.login");
        p.setName("StandaloneModus");
        p.setNameKey("sysparam.context.login.standalone");
        p.setValuestring("1");
        p.setDescription("Standalone Modus");
        p.setDescrKey("sysparam.context.login.standalone.descr");
        p.setSortRank(new Integer(10150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("LOGIN");
		p.setContextKey("sysparam.context.login");
		p.setName("EnableUserRegistration");
		p.setNameKey("sysparam.context.login.enableuserregistration");
		p.setValuestring("0");
		p.setDescription("Enable self registration for a user");
		p.setDescrKey("sysparam.context.login.enableuserregistration.descr");
        p.setSortRank(new Integer(10200));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(2));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("LOGIN");
		p.setContextKey("sysparam.context.login");
		p.setName("EnableGuestLogin");
		p.setNameKey("sysparam.context.login.enableguestlogin");
		p.setValuestring("0");
		p.setDescription("Enable login for a guest user");
		p.setDescrKey("sysparam.context.login.enableguestlogin.descr");
        p.setSortRank(new Integer(10250));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(2));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGIN");
        p.setContextKey("sysparam.context.login");
        p.setName("UserLockEnabled");
        p.setNameKey("sysparam.context.login.userlockenabled");
        p.setValuestring("1");
        p.setDescription("Enables user lock management and counting of unsuccessful pwd. authentication attempts");
        p.setDescrKey("sysparam.context.login.userlockenabled.descr");
        p.setSortRank(new Integer(10300));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGIN");
        p.setContextKey("sysparam.context.login");
        p.setName("MaxPwdMismatchCount");
        p.setNameKey("sysparam.context.login.maxpwdmismatchcount");
        p.setValuestring("3");
        p.setDescription("Maximum number of unsuccessful password authentication attempts");
        p.setDescrKey("sysparam.context.login.maxpwdmismatchcount.descr");
        p.setSortRank(new Integer(10350));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGIN");
        p.setContextKey("sysparam.context.login");
        p.setName("UserLockTime");
        p.setNameKey("sysparam.context.login.userlocktime");
        p.setValuestring("24");
        p.setDescription("User locktime (in Hours) after maximum number of unsuccessful password authentication attempts (0 = permanent)");
        p.setDescrKey("sysparam.context.login.userlocktime.descr");
        p.setSortRank(new Integer(10400));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LOGIN");
        p.setContextKey("sysparam.context.login");
        p.setName("UserLockNotification");
        p.setNameKey("sysparam.context.login.userlocknotification");
        p.setValuestring("1");
        p.setDescription("Notificate locked user after max. num. unsuccessful pwd. authentication attempts");
        p.setDescrKey("sysparam.context.login.userlocknotification.descr");
        p.setSortRank(new Integer(10450));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("ARCHIVECATEGORY");
        p.setContextKey("sysparam.context.archivecategory");
        p.setName("EnableArchiveCategory");
        p.setNameKey("sysparam.context.archivecategory.enablearchivecategory");
        p.setValuestring("0");
        p.setDescription("Enable archive (zipping) of a category");
        p.setDescrKey("sysparam.context.archivecategory.enablearchivecategory.descr");
        p.setSortRank(new Integer(11050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("ARCHIVECATEGORY");
        p.setContextKey("sysparam.context.archivecategory");
        p.setName("ArchiveCategoryPath");
        p.setNameKey("sysparam.context.archivecategory.archivecategorypath");
        p.setValuestring("/tmp");
        p.setDescription("Enable archive (zipping) of a category");
        p.setDescrKey("sysparam.context.archivecategory.archivecategorypath.descr");
        p.setSortRank(new Integer(11100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("QUOTA");
		p.setContextKey("sysparam.context.quota");
		p.setName("EnableQuotaChecking");
		p.setNameKey("sysparam.context.quota.enablequotachecking");
		p.setValuestring("1");
		p.setDescription("Enables checking for quota");
		p.setDescrKey("sysparam.context.quota.enablequotachecking.descr");
        p.setSortRank(new Integer(12050));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(2));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("QUOTA");
		p.setContextKey("sysparam.context.quota");
		p.setName("ConsiderAdditionalDocFormats");
		p.setNameKey("sysparam.context.quota.adddocformats");
		p.setValuestring("0");
		p.setDescription("Consider amount of additional document formats");
		p.setDescrKey("sysparam.context.quota.adddocformats.consideration");
        p.setSortRank(new Integer(12100));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(2));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("NEWS");
		p.setContextKey("sysparam.context.news");
		p.setName("EnableNews");
		p.setNameKey("sysparam.context.news.enablenews");
		p.setValuestring("1");
		p.setDescription("Enable news system");
		p.setDescrKey("sysparam.context.news.enablenews.descr");
        p.setSortRank(new Integer(13050));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(2));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("NEWS");
		p.setContextKey("sysparam.context.news");
		p.setName("MaxCountNews");
		p.setNameKey("sysparam.context.news.maxcountnews");
		p.setValuestring("20");
		p.setDescription("Maxmium count of displayed news");
		p.setDescrKey("sysparam.context.news.maxcountnews.descr");
        p.setSortRank(new Integer(13100));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(1));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
		p.setContext("NEWS");
		p.setContextKey("sysparam.context.news");
		p.setName("ConsiderValidNewsOnly");
		p.setNameKey("sysparam.context.news.validnewsonly");
		p.setValuestring("0");
		p.setDescription("Consider valid news only");
		p.setDescrKey("sysparam.context.news.validnewsonly.descr");
        p.setSortRank(new Integer(13150));
		p.setAllowNull(false);
		p.setReadOnly(false);
		p.setHide(new Integer(0));
		p.setDatatype(new Integer(2));
		
		systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("TRASH");
        p.setContextKey("sysparam.context.trash");
        p.setName("EnableTrash");
        p.setNameKey("sysparam.context.trash.enable");
        p.setValuestring("1");
        p.setDescription("Enables Trash");
        p.setDescrKey("sysparam.context.trash.enable.descr");
        p.setSortRank(new Integer(14050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);
        
        p = new VKCSysParameter();
        
        p.setContext("TRASH");
        p.setContextKey("sysparam.context.trash");
        p.setName("TrashCategoryId");
        p.setNameKey("sysparam.context.trash.categoryid");
        p.setValuestring("0");
        p.setDescription("Define a category for a trash");
        p.setDescrKey("sysparam.context.trash.categoryid.descr");
        p.setSortRank(new Integer(14100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);
        
        p = new VKCSysParameter();
        
        p.setContext("STATISTICS");
        p.setContextKey("sysparam.context.statistics");
        p.setName("EnableStatistics");
        p.setNameKey("sysparam.context.statistics.enablestatistics");
        p.setValuestring("1");
        p.setDescription("Enables genartion of statistic charts");
        p.setDescrKey("sysparam.context.statistics.enablestatistics.descr");
        p.setSortRank(new Integer(15050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("VKCSTREAMS");
        p.setContextKey("sysparam.context.stream");
        p.setName("EnableTDF");
        p.setNameKey("sysparam.context.stream.enabletdf");
        p.setValuestring("1");
        p.setDescription("Enable convert to TDF stream");
        p.setDescrKey("sysparam.context.stream.enabletdf.descr");
        p.setSortRank(new Integer(16050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("VKCSTREAMS");
        p.setContextKey("sysparam.context.stream");
        p.setName("EnableHTML");
        p.setNameKey("sysparam.context.stream.enablehtml");
        p.setValuestring("1");
        p.setDescription("Enable convert to HTML stream");
        p.setDescrKey("sysparam.context.stream.enablehtml.descr");
        p.setSortRank(new Integer(16100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("VKCSTREAMS");
        p.setContextKey("sysparam.context.stream");
        p.setName("EnablePDF");
        p.setNameKey("sysparam.context.stream.enablepdf");
        p.setValuestring("1");
        p.setDescription("Enable convert to PDF stream");
        p.setDescrKey("sysparam.context.stream.enablepdf.descr");
        p.setSortRank(new Integer(16150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("OptimizationPeriod");
        p.setNameKey("sysparam.context.index.optimizationperiod");
        p.setValuestring("60");
        p.setDescription("Search Index optimization period in minutes");
        p.setDescrKey("sysparam.context.index.optimizationperiod.descr");
        p.setSortRank(new Integer(17050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("ParameterOptimization");
        p.setNameKey("sysparam.context.index.parameteroptimization");
        p.setValuestring("1");
        p.setDescription("Parameter optimization");
        p.setDescrKey("sysparam.context.index.parameteroptimization.descr");
        p.setSortRank(new Integer(17100));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("ParameterOptimizationTime");
        p.setNameKey("sysparam.context.index.parameteroptimizationtime");
        p.setValuestring("01:00:00");
        p.setDescription("Classification parameter optimization time");
        p.setDescrKey("sysparam.context.index.parameteroptimizationtime.descr");
        p.setSortRank(new Integer(17150));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(0));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("ParameterOptimizationPeriod");
        p.setNameKey("sysparam.context.index.parameteroptimizationperiod");
        p.setValuestring("24");
        p.setDescription("Classification parameter optimization period in hours");
        p.setDescrKey("sysparam.context.index.parameteroptimizationperiod.descr");
        p.setSortRank(new Integer(17200));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("FullCrossValidation");
        p.setNameKey("sysparam.context.index.fullcrossvalidation");
        p.setValuestring("0");
        p.setDescription("Cross validation with all documents?");
        p.setDescrKey("sysparam.context.index.fullcrossvalidation.descr");
        p.setSortRank(new Integer(17250));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("NumberOfNeighbors");
        p.setNameKey("sysparam.context.index.numberofneighbors");
        p.setValuestring("-1");
        p.setDescription("k parameter of kNN-Classifier");
        p.setDescrKey("sysparam.context.index.numberofneighbors.descr");
        p.setSortRank(new Integer(17300));
        p.setAllowNull(false);
        p.setReadOnly(true);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("RelFeatureSumTreshold");
        p.setNameKey("sysparam.context.index.relfeaturesumtreshold");
        p.setValuestring("1");
        p.setDescription("feature selection treshold");
        p.setDescrKey("sysparam.context.index.relfeaturesumtreshold.descr");
        p.setSortRank(new Integer(17350));
        p.setAllowNull(false);
        p.setReadOnly(true);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("MeanAccuracy");
        p.setNameKey("sysparam.context.index.meanaccuracy");
        p.setValuestring("1");
        p.setDescription("Mean accuracy of classifier");
        p.setDescrKey("sysparam.context.index.meanaccuracy.descr");
        p.setSortRank(new Integer(17400));
        p.setAllowNull(false);
        p.setReadOnly(true);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("MeanScore");
        p.setNameKey("sysparam.context.index.meanscore");
        p.setValuestring("1");
        p.setDescription("Mean score of classifier");
        p.setDescrKey("sysparam.context.index.meanscore.descr");
        p.setSortRank(new Integer(17450));
        p.setAllowNull(false);
        p.setReadOnly(true);
        p.setHide(new Integer(1));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

		p = new VKCSysParameter();
		
        p.setContext("INDEX");
        p.setContextKey("sysparam.context.index");
        p.setName("LastParameterOptimization");
        p.setNameKey("sysparam.context.index.lastparameteroptimization");
        p.setValuestring("");
        p.setDescription("End time of last classification parameter optimization");
        p.setDescrKey("sysparam.context.index.lastparameteroptimization.descr");
        p.setSortRank(new Integer(17500));
        p.setAllowNull(true);
        p.setReadOnly(true);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(1));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);
        
        p = new VKCSysParameter();
		
        p.setContext("LICENSE");
        p.setContextKey("sysparam.context.license");
        p.setName("EnableLicensemanagement");
        p.setNameKey("sysparam.context.license.management");
        p.setValuestring("0");
        p.setDescription("Enable licensemanagement");
        p.setDescrKey("sysparam.context.license.management.descr");
        p.setSortRank(new Integer(18050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);

        p = new VKCSysParameter();
        
        p.setContext("LDAP");
        p.setContextKey("sysparam.context.ldap");
        p.setName("EnableLdapSupport");
        p.setNameKey("sysparam.context.ldap.enableLdapSupport");
        p.setValuestring("0");
        p.setDescription("Enables LDAP Support");
        p.setDescrKey("sysparam.context.ldap.enableLdapSupport.descr");
        p.setSortRank(new Integer(19050));
        p.setAllowNull(false);
        p.setReadOnly(false);
        p.setHide(new Integer(0));
        p.setDatatype(new Integer(2));
        
        systemParameters.put(p.getContext() + "_" + p.getName(), p);
    }
	
	public static VKCSysParameter getSystemParameter(String context, String name) {
		return (VKCSysParameter)systemParameters.get(context + "_" + name);
	}
}